Bug 178383 - Upgrade x11-fonts/linuxlibertine to version 5.3.0
Summary: Upgrade x11-fonts/linuxlibertine to version 5.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-07 04:00 UTC by Pedro F. Giffuni
Modified: 2014-08-26 05:52 UTC (History)
0 users

See Also:


Attachments
patch-linuxlibertine.txt (4.01 KB, patch)
2013-08-29 01:05 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2013-05-07 04:00:00 UTC
Update the port to the latest version:

The upstream developers for this fonts now ship individually the
otf and ttf font types.

Users of Apache OpenOffice and LibreOffice will usually prefer the forked linuxlibertine-g ttf variant since those include support for silgraphite.

Given that Adobe and Google have worked out providing high quality
CFF support to the next version of the FreeType project I think
it is convenient to start using the OpenType Fonts in this port.

Fix: 

I uploaded the patch here:

http://people.freebsd.org/~pfg/patches/patch-linuxlibertine.txt

(Please ignore the original author name change ...
My text editor did an unrequested change there)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-07 04:00:06 UTC
Maintainer of x11-fonts/linuxlibertine,

Please note that PR ports/178383 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178383

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-05-07 04:00:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Björn König 2013-05-09 11:06:15 UTC
Hello,

thanks for the work. I can't deal with the port currently (and most 
likely in future too). Therefore I like to drop the maintainership.

Best regards
Bj?rn
Comment 4 Pedro F. Giffuni 2013-05-09 16:25:46 UTC
I suggest to assign it to office@ . Thanks for your work Bj=F6rn !=A0
Comment 5 Pedro F. Giffuni freebsd_committer 2013-05-21 00:11:47 UTC
State Changed
From-To: feedback->open

Feedback received: reassign to the pool. 


Comment 6 Pedro F. Giffuni freebsd_committer 2013-05-21 00:11:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office@FreeBSD.org

office@ should take care of this.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2013-05-21 01:19:53 UTC
Responsible Changed
From-To: office@FreeBSD.org->office

Canonicalize assignment.
Comment 8 Pedro F. Giffuni freebsd_committer 2013-08-29 01:05:47 UTC
Here is the attachment ...
(so that I don't have to carry it anymore).
Comment 9 dfilter service freebsd_committer 2014-03-29 09:55:33 UTC
Author: linimon
Date: Sat Mar 29 09:55:30 2014
New Revision: 349497
URL: http://svnweb.freebsd.org/changeset/ports/349497
QAT: https://qat.redports.org/buildarchive/r349497/

Log:
  Maintainer had asked to step down nearly a year ago.  Sorry that it took
  so long.
  
  Since this is a dependency of openoffice, try assigning it to office@.
  
  PR:		178383
  Submitted by:	Pedro Giffuni <giffunip@tutopia.com>
  Approved by:	bkoenig@alpha-tierchen.de (maintainer)

Modified:
  head/x11-fonts/linuxlibertine/Makefile

Modified: head/x11-fonts/linuxlibertine/Makefile
==============================================================================
--- head/x11-fonts/linuxlibertine/Makefile	Sat Mar 29 08:58:52 2014	(r349496)
+++ head/x11-fonts/linuxlibertine/Makefile	Sat Mar 29 09:55:30 2014	(r349497)
@@ -8,7 +8,7 @@ MASTER_SITES=	SF
 DISTNAME=	LinLibertineFont-${PORTVERSION}-2
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	bkoenig@alpha-tierchen.de
+MAINTAINER=	office@FreeBSD.org
 COMMENT=	Linux Libertine Open Fonts
 
 LICENSE=	GPLv2 LINUXLIBERTINE OFL10
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Baptiste Daroussin freebsd_committer 2014-08-26 05:52:29 UTC
This has been committed but never closed, let's close it